import { Component, Prop, State, h } from '@stencil/core';
import { randomIdGenerator } from '../../../global/utils/randomIdGenerator';

@Component({
	tag: 'digi-icon-checklist',
	styleUrls: ['icon-checklist.scss'],
	scoped: true
})
export class IconChecklist {
	/**
	 * Lägger till ett titleelement i svg:n
	 * @en Adds a title element inside the svg
	 */
	@Prop() afTitle: string;

	/**
	 * Lägger till ett descelement i svg:n
	 * @en Adds a desc element inside the svg
	 */
	@Prop() afDesc: string;

	/**
	 * För att dölja ikonen för skärmläsare. Default är satt till true.
	 * @en Hides the icon for screen readers. Default is set to true.
	 */
	@Prop() afSvgAriaHidden: boolean = true;

	

	/**
* Referera till andra element på sidan för att definiera ett tillgängligt namn.
* @en Reference other elements on the page to define an accessible name.
*/
@Prop() afSvgAriaLabelledby: string;

@State() titleId: string = randomIdGenerator('icontitle');

	render() {
		return (
			<svg
				class="digi-icon-checklist"
				width="62px" height="63px" viewBox="0 0 62 63"
				aria-hidden={this.afSvgAriaHidden ? 'true' : 'false'}
				aria-labelledby={this.afSvgAriaLabelledby ? this.afSvgAriaLabelledby : this.afTitle ? this.titleId : undefined}
				xmlns="http://www.w3.org/2000/svg"
        fill="currentColor"
			>
				{this.afTitle && <title id={this.titleId}>{this.afTitle}</title>}
				{this.afDesc && <desc>{this.afDesc}</desc>}
				<defs>
    <polygon points="-4.58892184e-15 0 39.9471167 0 39.9471167 7.43225 -4.58892184e-15 7.43225"/>
    <polygon points="-4.58892184e-15 0 39.9471167 0 39.9471167 7.43225 -4.58892184e-15 7.43225"/>
    <polygon points="-4.58892184e-15 0 39.9471167 0 39.9471167 7.43225 -4.58892184e-15 7.43225"/>
  </defs>
  <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
    <g transform="translate(-207, -890)" >
      <g transform="translate(207, 897.75)" >
        <g transform="translate(22.5281, 3.716)">
          <mask fill="white">
            <use href="#path-1"/>
          </mask>
          <g/>
          <path d="M36.23125,7.43225 L3.716125,7.43225 C1.66366667,7.43225 -4.58892184e-15,5.76858333 -4.58892184e-15,3.716125 C-4.58892184e-15,1.66366667 1.66366667,0 3.716125,0 L36.23125,0 C38.2837083,0 39.947375,1.66366667 39.947375,3.716125 C39.947375,5.76858333 38.2837083,7.43225 36.23125,7.43225" fill="currentColor"/>
        </g>
        <g transform="translate(22.5281, 20.4379)">
          <mask fill="white">
            <use href="#path-3"/>
          </mask>
          <g/>
          <path d="M36.23125,7.43225 L3.716125,7.43225 C1.66366667,7.43225 -4.58892184e-15,5.76858333 -4.58892184e-15,3.716125 C-4.58892184e-15,1.66366667 1.66366667,0 3.716125,0 L36.23125,0 C38.2837083,0 39.947375,1.66366667 39.947375,3.716125 C39.947375,5.76858333 38.2837083,7.43225 36.23125,7.43225" fill="currentColor"/>
        </g>
        <g transform="translate(22.5281, 37.16)">
          <mask fill="white">
            <use href="#path-5"/>
          </mask>
          <g />
          <path d="M36.23125,7.43225 L3.716125,7.43225 C1.66366667,7.43225 -4.58892184e-15,5.76858333 -4.58892184e-15,3.716125 C-4.58892184e-15,1.66366667 1.66366667,0 3.716125,0 L36.23125,0 C38.2837083,0 39.947375,1.66366667 39.947375,3.716125 C39.947375,5.76858333 38.2837083,7.43225 36.23125,7.43225" fill="currentColor"/>
        </g>
        <path d="M6.96737917,12.7739375 C6.3732125,12.7739375 5.77904583,12.5466042 5.32567083,12.0932292 C4.41762917,11.1864792 4.41762917,9.7165625 5.32567083,8.8098125 L13.4541292,0.6800625 C14.3608792,-0.2266875 15.8320875,-0.2266875 16.7388375,0.6800625 C17.6455875,1.5868125 17.6455875,3.05802083 16.7388375,3.96477083 L8.6090875,12.0932292 C8.1557125,12.5466042 7.56154583,12.7739375 6.96737917,12.7739375" fill="currentColor"/>
        <path d="M6.50289583,12.7739375 C5.90872917,12.7739375 5.3145625,12.5466042 4.8611875,12.0932292 L0.6800625,7.91339583 C-0.2266875,7.00664583 -0.2266875,5.5354375 0.6800625,4.6286875 C1.5868125,3.7219375 3.05802083,3.7219375 3.96477083,4.6286875 L8.14460417,8.8098125 C9.05264583,9.7165625 9.05264583,11.1864792 8.14460417,12.0932292 C7.69122917,12.5466042 7.0970625,12.7739375 6.50289583,12.7739375" fill="currentColor"/>
        <path d="M6.96737917,29.4959833 C6.3732125,29.4959833 5.77904583,29.26865 5.32567083,28.815275 C4.41762917,27.908525 4.41762917,26.4386083 5.32567083,25.5318583 L13.4541292,17.4021083 C14.3608792,16.4953583 15.8320875,16.4953583 16.7388375,17.4021083 C17.6455875,18.3088583 17.6455875,19.7800667 16.7388375,20.6868167 L8.6090875,28.815275 C8.1557125,29.26865 7.56154583,29.4959833 6.96737917,29.4959833" fill="currentColor"/>
        <path d="M6.50289583,29.4959833 C5.90872917,29.4959833 5.3145625,29.26865 4.8611875,28.815275 L0.6800625,24.6354417 C-0.2266875,23.7286917 -0.2266875,22.2574833 0.6800625,21.3507333 C1.5868125,20.4439833 3.05802083,20.4439833 3.96477083,21.3507333 L8.14460417,25.5318583 C9.05264583,26.4386083 9.05264583,27.908525 8.14460417,28.815275 C7.69122917,29.26865 7.0970625,29.4959833 6.50289583,29.4959833" fill="currentColor"/>
        <path d="M6.96737917,46.2180292 C6.3732125,46.2180292 5.77904583,45.9906958 5.32567083,45.5373208 C4.41762917,44.6305708 4.41762917,43.1606542 5.32567083,42.2539042 L13.4541292,34.1241542 C14.3608792,33.2174042 15.8320875,33.2174042 16.7388375,34.1241542 C17.6455875,35.0309042 17.6455875,36.5021125 16.7388375,37.4088625 L8.6090875,45.5373208 C8.1557125,45.9906958 7.56154583,46.2180292 6.96737917,46.2180292" fill="currentColor"/>
        <path d="M6.50289583,46.2180292 C5.90872917,46.2180292 5.3145625,45.9906958 4.8611875,45.5373208 L0.6800625,41.3574875 C-0.2266875,40.4507375 -0.2266875,38.9795292 0.6800625,38.0727792 C1.5868125,37.1660292 3.05802083,37.1660292 3.96477083,38.0727792 L8.14460417,42.2539042 C9.05264583,43.1606542 9.05264583,44.6305708 8.14460417,45.5373208 C7.69122917,45.9906958 7.0970625,46.2180292 6.50289583,46.2180292" fill="currentColor"/>
      </g>
    </g>
  </g>
			</svg>
		);
	}
}
